package com.financial.department.model;

/**
 * This class was automatically generated by the data modeler tool.
 */

public class ApplicationInquiry implements java.io.Serializable {

	static final long serialVersionUID = 1L;

	@org.kie.api.definition.type.Label("country")
	private java.lang.String country;
	@org.kie.api.definition.type.Label("city")
	private java.lang.String city;
	@org.kie.api.definition.type.Label("channel")
	private java.lang.String channel;
	@org.kie.api.definition.type.Label("age")
	private java.lang.Integer age;
	@org.kie.api.definition.type.Label("monthly income")
	private java.lang.Integer monthlyIncome;
	@org.kie.api.definition.type.Label("internal credit score")
	private java.lang.Integer ics;
	@org.kie.api.definition.type.Label("max loan")
	private Integer maxLoan;
	@org.kie.api.definition.type.Label("interest rate")
	private java.lang.Double interestRate;
	@org.kie.api.definition.type.Label("payment to income")
	private java.lang.Double pti;

	@org.kie.api.definition.type.Label("application status")
	private java.lang.String status;

	@org.kie.api.definition.type.Label("status message")
	private java.lang.String statusMessage;

	@org.kie.api.definition.type.Label("first name")
	private java.lang.String firstName;

	@org.kie.api.definition.type.Label("last name")
	private java.lang.String lastName;

	@org.kie.api.definition.type.Label("national identification number")
	private java.lang.String nin;

	@org.kie.api.definition.type.Label("national identification number type")
	private java.lang.String ninType;

	@org.kie.api.definition.type.Label("campaign ID")
	private java.lang.String campaignId;

	public ApplicationInquiry() {
	}

	public java.lang.String getCountry() {
		return this.country;
	}

	public void setCountry(java.lang.String country) {
		this.country = country;
	}

	public java.lang.String getCity() {
		return this.city;
	}

	public void setCity(java.lang.String city) {
		this.city = city;
	}

	public java.lang.String getChannel() {
		return this.channel;
	}

	public void setChannel(java.lang.String channel) {
		this.channel = channel;
	}

	public java.lang.Integer getAge() {
		return this.age;
	}

	public void setAge(java.lang.Integer age) {
		this.age = age;
	}

	public java.lang.Integer getMonthlyIncome() {
		return this.monthlyIncome;
	}

	public void setMonthlyIncome(java.lang.Integer monthlyIncome) {
		this.monthlyIncome = monthlyIncome;
	}

	public java.lang.Integer getIcs() {
		return this.ics;
	}

	public void setIcs(java.lang.Integer ics) {
		this.ics = ics;
	}

	public java.lang.Double getInterestRate() {
		return this.interestRate;
	}

	public void setInterestRate(java.lang.Double interestRate) {
		this.interestRate = interestRate;
	}

	public java.lang.Double getPti() {
		return this.pti;
	}

	public void setPti(java.lang.Double pti) {
		this.pti = pti;
	}

	public java.lang.String getStatus() {
		return this.status;
	}

	public void setStatus(java.lang.String status) {
		this.status = status;
	}

	public java.lang.String getStatusMessage() {
		return this.statusMessage;
	}

	public void setStatusMessage(java.lang.String statusMessage) {
		this.statusMessage = statusMessage;
	}

	public java.lang.String getFirstName() {
		return this.firstName;
	}

	public void setFirstName(java.lang.String firstName) {
		this.firstName = firstName;
	}

	public java.lang.String getLastName() {
		return this.lastName;
	}

	public void setLastName(java.lang.String lastName) {
		this.lastName = lastName;
	}

	public java.lang.String getNin() {
		return this.nin;
	}

	public void setNin(java.lang.String nin) {
		this.nin = nin;
	}

	public java.lang.String getNinType() {
		return this.ninType;
	}

	public void setNinType(java.lang.String ninType) {
		this.ninType = ninType;
	}

	public java.lang.String getCampaignId() {
		return this.campaignId;
	}

	public void setCampaignId(java.lang.String campaignId) {
		this.campaignId = campaignId;
	}

	public java.lang.Integer getMaxLoan() {
		return this.maxLoan;
	}

	public void setMaxLoan(java.lang.Integer maxLoan) {
		this.maxLoan = maxLoan;
	}

	public ApplicationInquiry(java.lang.String country, java.lang.String city,
			java.lang.String channel, java.lang.Integer age,
			java.lang.Integer monthlyIncome, java.lang.Integer ics,
			java.lang.Integer maxLoan, java.lang.Double interestRate,
			java.lang.Double pti, java.lang.String status,
			java.lang.String statusMessage, java.lang.String firstName,
			java.lang.String lastName, java.lang.String nin,
			java.lang.String ninType, java.lang.String campaignId) {
		this.country = country;
		this.city = city;
		this.channel = channel;
		this.age = age;
		this.monthlyIncome = monthlyIncome;
		this.ics = ics;
		this.maxLoan = maxLoan;
		this.interestRate = interestRate;
		this.pti = pti;
		this.status = status;
		this.statusMessage = statusMessage;
		this.firstName = firstName;
		this.lastName = lastName;
		this.nin = nin;
		this.ninType = ninType;
		this.campaignId = campaignId;
	}

}